## asterisk-phonepatch 0.3.1

=== Makefile ===
# Makefile - makefile for asterisk-phonepatch
PACKAGE=asterisk-phonepatch
SAVANNAH_PACKAGE=asterisk-phpatch

# Destination directoy
DESTDIR= 

# Define destination directories

BINDIR=$(DESTDIR)/usr/bin
SBINDIR=$(DESTDIR)/usr/sbin
MAN8DIR=$(DESTDIR)/usr/share/man/man8
DOCDIR=$(DESTDIR)/usr/share/doc/$(PACKAGE)
SHAREDIR=$(DESTDIR)/usr/share/$(PACKAGE)
ETCDIR=$(DESTDIR)/etc
ETCPHPDIR=$(DESTDIR)/etc/asterisk-phonepatch
AGIASTERISKDIR=$(DESTDIR)/usr/share/asterisk/agi-bin
LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds

# ------------- don't edit anything below this line --------------

DEBIANDIR=debian
DEBIANVERSION=$(shell cat $(DEBIANDIR)/changelog | head -n1 | awk '{print $$2}' | tr -d '()')
VERSION=$(shell echo $(DEBIANVERSION) | sed "s/-//")
TARBALL=$(PACKAGE)-$(VERSION).tar.gz
ARCH=$(shell cat $(DEBIANDIR)/control | grep ^Architecture | head -n1 | awk '{print $$2}')
DEBHEADER=$(PACKAGE)_$(DEBIANVERSION)
DEBPACKAGE=$(DEBHEADER)_$(ARCH).deb
LANGS=es
FTPSERVER=ftp://savannah.gnu.org/incoming/savannah/$(SAVANNAH_PACKAGE)/

# Some directories that will not exist on first installation
CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR)
MANCONF=man/phonepatch.conf.8

all: conf/phonepatch.conf.example man/phonepatch.conf.8 docs

docs: doc/asterisk-phonepatch.xml
	$(MAKE) -C doc >/dev/null
	
$(MANCONF): template2man.py $(MANCONF)-1 $(MANCONF)-2 conf/phonepatch.conf.template
	cat $(MANCONF)-1 > $(MANCONF)
	python src/templateparser.py conf/phonepatch.conf.template | ./template2man.py >> $(MANCONF)
	cat $(MANCONF)-2 >> $(MANCONF)
	
conf/phonepatch.conf.example: conf/phonepatch.conf.template src/templateparser.py
	python src/templateparser.py --generate conf/phonepatch.conf.template > conf/phonepatch.conf.example

install: all
	# Create dirs
	mkdir -p $(CREATE_DIRS)

	# Main executable
	install -m 755 src/phonepatch.py $(SBINDIR)/asterisk-phonepatch

	# AGI script: link to $(SBINDIR)/phonepatch
	ln -sf ../../../sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi

	# Manpage
	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
	install -m 644 man/phonepatch.conf.8 $(MAN8DIR)
	install -m 644 man/radiocontrol.8 $(MAN8DIR)
	
	# Template and configuration
	install -m 644 conf/phonepatch.conf.template $(SHAREDIR)
	install -m 644 conf/phonepatch.conf.example $(DOCDIR)
	install -m 644 conf/phonepatch.conf.example $(ETCPHPDIR)/phonepatch.conf	
	install -m 644 conf/asterisk-phonepatch.conf $(ETCDIR)
	
	# Python modules
	install -m 755 src/radio.py $(LIBDIR)
	install -m 755 src/radiocontrol.py $(LIBDIR)
	install -m 755 src/dtmf.py $(LIBDIR)
	install -m 755 src/soundcard.py $(LIBDIR)
	install -m 755 src/daemonize.py $(LIBDIR)
	install -m 755 src/templateparser.py $(LIBDIR)
	install -m 755 src/processcomm.py $(LIBDIR)

	# Radio control utility
	ln -sf ../lib/asterisk-phonepatch/radiocontrol.py $(BINDIR)/radiocontrol

	# Phonepatch audio files
	
	# English audio to root audio directory
	cp sounds/en/* $(SOUNDSDIR) || true
	
	# Other languages installed on its own directory
	for DIR in $(LANGS); do \
		mkdir -p $(SOUNDSDIR)/$$DIR ;\
		cp sounds/$$DIR/* $(SOUNDSDIR)/$$DIR || true;\
	done
	
	# Install documentation
	install -m 644 doc/asterisk-phonepatch.pdf $(DOCDIR)
	cp -a doc/asterisk-phonepatch.html $(DOCDIR)/html
		
clean:
	rm -f *.pyc conf/phonepatch.conf.example man/phonepatch.conf.8
	$(MAKE) -C doc clean >/dev/null

dist: distclean dist dist-deb

dist: ../$(TARBALL)

dist-deb:  ../$(DEBPACKAGE)

ChangeLog: debian/changelog
	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" | sed "s/[[:space:]]*//" > ChangeLog

../$(TARBALL): clean $(FILES) ChangeLog
	(cd ..; tar --exclude=CVS --exclude=misc --exclude=webpage -czf $(TARBALL) $(PACKAGE))

../$(DEBPACKAGE): ../$(TARBALL)
	CURRENT=$$PWD && \
	TEMP=`mktemp -d` && \
	cp ../$(TARBALL) $$TEMP && \
	tar -C $$TEMP -xvzf ../$(TARBALL) && \
	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage) && \
	cp $$TEMP/$(DEBHEADER)* $$CURRENT/.. && \
	rm -rf $$TEMP

upload: dist-upload web-upload

dist-upload: dist dist-deb
	rm -f ../$(DEBHEADER)*.sig
	for FILE in `ls ../$(DEBHEADER)*`; do \
		gpg -b --use-agent $$FILE || true; \
	done
	(cd ..; wput $(DEBHEADER)* $(FTPSERVER))
	
web-upload:
	make -C ../$(PACKAGE)-web upload

distclean: clean
	fakeroot $(DEBIANDIR)/rules clean
	rm -f ChangeLog

=== debian/changelog ===
asterisk-phonepatch (0.3.1) unstable; urgency=low

  * New parameter (soundcard latency) in configuration
  * New english audio files (thanks Leighton!)

 -- Arnau Sanchez <arnau@ehas.org>  Thu,  6 Jul 2006 14:50:02 +0200

asterisk-phonepatch (0.3) unstable; urgency=low

  * Serial/Parallel lines configurable (radio_control)
  * DTMF module supports buggy 24.2 numeric module
  * Pidfile to /var/run/asterisk
  * Phonepatch runs now as asterisk user (not root)

 -- Arnau Sanchez <arnau@ehas.org>  Tue,  4 Jul 2006 12:50:32 +0200

asterisk-phonepatch (0.2.2) unstable; urgency=low

  * Daemon runs as user asterisk
  * Radiocontrol: lines (ptt, carrier, power) configurable

 -- root <arnau@ehas.org>  Sat,  1 Jul 2006 18:16:16 +0200

asterisk-phonepatch (0.2.1) unstable; urgency=low

  * Radiocontrol adds lib path
  * Outcall spool file now owned by Asterisk (not root)

 -- Arnau Sanchez <arnau@ehas.org>  Thu, 29 Jun 2006 20:05:40 +0200

asterisk-phonepatch (0.2) unstable; urgency=low

  * Removed python-alsaaudio dependency (only OSS is used).
  * Radiocontrol installed on /usr/bin.
  * Some corrections on phonepatch.conf manual page.

 -- Arnau Sanchez <arnau@ehas.org>  Tue, 27 Jun 2006 19:14:56 +0200

## asterisk-phonepatch 0.3.3

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DOCDIR=$(DESTDIR)/usr/share/doc/$(PACKAGE)
 SHAREDIR=$(DESTDIR)/usr/share/$(PACKAGE)
 ETCDIR=$(DESTDIR)/etc
-ETCPHPDIR=$(DESTDIR)/etc/asterisk-phonepatch
+ETCPHPDIR=$(DESTDIR)/etc/asterisk
 AGIASTERISKDIR=$(DESTDIR)/usr/share/asterisk/agi-bin
 LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
 SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds
@@ -34,7 +34,7 @@
 CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR)
 MANCONF=man/phonepatch.conf.8
 
-all: conf/phonepatch.conf.example man/phonepatch.conf.8 docs
+all: man/phonepatch.conf.8 docs
 
 docs: doc/asterisk-phonepatch.xml
 	$(MAKE) -C doc >/dev/null
@@ -44,9 +44,6 @@
 	python src/templateparser.py conf/phonepatch.conf.template | ./template2man.py >> $(MANCONF)
 	cat $(MANCONF)-2 >> $(MANCONF)
 	
-conf/phonepatch.conf.example: conf/phonepatch.conf.template src/templateparser.py
-	python src/templateparser.py --generate conf/phonepatch.conf.template > conf/phonepatch.conf.example
-
 install: all
 	# Create dirs
 	mkdir -p $(CREATE_DIRS)
@@ -66,12 +63,11 @@
 	install -m 644 conf/phonepatch.conf.template $(SHAREDIR)
 	install -m 644 conf/phonepatch.conf.example $(DOCDIR)
 	install -m 644 conf/phonepatch.conf.example $(ETCPHPDIR)/phonepatch.conf	
-	install -m 644 conf/asterisk-phonepatch.conf $(ETCDIR)
-	
 	# Python modules
 	install -m 755 src/radio.py $(LIBDIR)
 	install -m 755 src/radiocontrol.py $(LIBDIR)
 	install -m 755 src/dtmf.py $(LIBDIR)
+	install -m 755 src/ctcss.py $(LIBDIR)
 	install -m 755 src/soundcard.py $(LIBDIR)
 	install -m 755 src/daemonize.py $(LIBDIR)
 	install -m 755 src/templateparser.py $(LIBDIR)
@@ -96,7 +92,7 @@
 	cp -a doc/asterisk-phonepatch.html $(DOCDIR)/html
 		
 clean:
-	rm -f *.pyc conf/phonepatch.conf.example man/phonepatch.conf.8
+	rm -f *.pyc man/phonepatch.conf.8
 	$(MAKE) -C doc clean >/dev/null
 
 dist: distclean dist dist-deb

=== debian/changelog ===
asterisk-phonepatch (0.3.3) unstable; urgency=low

  * new unique conffile (/etc/asterisk/phonepatch.conf)
  * sections: general, phonepatch and user extensions
  * CTCSS decoding
  * New DTMF decoding (faster and more accurate)
  * incall/outcall can be enabled/disabled for each extensions
  * empty_asterisk() and flush_asterisk() to assure low latency

 -- Arnau Sanchez <arnau@ehas.org>  Tue, 18 Jul 2006 23:55:11 +0200

asterisk-phonepatch (0.3.2) unstable; urgency=low

  * carrier_detection: new mode "audio" (VOX processing for received audio)
  * phonepatch extensions must be defined in phonepatch.conf (with its name)
  * extensions.conf: automatically detected incall/outcall
  * new parameter: extension_tail_length

 -- Arnau Sanchez <arnau@ehas.org>  Sun,  9 Jul 2006 17:16:11 +0200

## asterisk-phonepatch 0.3.4

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,10 @@
 	# Install documentation
 	install -m 644 doc/asterisk-phonepatch.pdf $(DOCDIR)
 	cp -a doc/asterisk-phonepatch.html $(DOCDIR)/html
-		
+	
+conf/phonepatch.conf.example: conf/phonepatch.conf.template
+	src/templateparser.py -g conf/phonepatch.conf.template > conf/phonepatch.conf.example	
+
 clean:
 	rm -f *.pyc man/phonepatch.conf.8
 	$(MAKE) -C doc clean >/dev/null

=== debian/changelog ===
asterisk-phonepatch (0.3.4) unstable; urgency=low

  * CTCSS auto outgoing call
  * New parameters: ctcss_tx, ctcss_tx_amplitude, ctcss_rx
  * New parameters: outcall_askfortone_mode (dtmf, ctcss or both)

 -- Arnau Sanchez <arnau@ehas.org>  Thu, 27 Jul 2006 11:07:18 +0200

## asterisk-phonepatch 0.4

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 SHAREDIR=$(DESTDIR)/usr/share/$(PACKAGE)
 ETCDIR=$(DESTDIR)/etc
 ETCPHPDIR=$(DESTDIR)/etc/asterisk
-AGIASTERISKDIR=$(DESTDIR)/usr/share/asterisk/agi-bin
+AGIASTERISKDIR=$(DESTDIR)/var/lib/asterisk/agi-bin
 LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
 SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds
 
@@ -34,11 +34,8 @@
 CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR)
 MANCONF=man/phonepatch.conf.8
 
-all: man/phonepatch.conf.8 docs
+all: man/phonepatch.conf.8 
 
-docs: doc/asterisk-phonepatch.xml
-	$(MAKE) -C doc >/dev/null
-	
 $(MANCONF): template2man.py $(MANCONF)-1 $(MANCONF)-2 conf/phonepatch.conf.template
 	cat $(MANCONF)-1 > $(MANCONF)
 	python src/templateparser.py conf/phonepatch.conf.template | ./template2man.py >> $(MANCONF)
@@ -52,7 +49,7 @@
 	install -m 755 src/phonepatch.py $(SBINDIR)/asterisk-phonepatch
 
 	# AGI script: link to $(SBINDIR)/phonepatch
-	ln -sf ../../../sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi
+	ln -sf ../../../../usr/sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi
 
 	# Manpage
 	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
@@ -87,16 +84,11 @@
 		cp sounds/$$DIR/* $(SOUNDSDIR)/$$DIR || true;\
 	done
 	
-	# Install documentation
-	install -m 644 doc/asterisk-phonepatch.pdf $(DOCDIR)
-	cp -a doc/asterisk-phonepatch.html $(DOCDIR)/html
-	
 conf/phonepatch.conf.example: conf/phonepatch.conf.template
 	src/templateparser.py -g conf/phonepatch.conf.template > conf/phonepatch.conf.example	
 
 clean:
 	rm -f *.pyc man/phonepatch.conf.8
-	$(MAKE) -C doc clean >/dev/null
 
 dist: distclean dist dist-deb

=== debian/changelog ===
asterisk-phonepatch (0.4) unstable; urgency=low

  * New parameter: ctcss_decoder_mintime.
  * If phonepatch section not found, default to the first one.
  * Corrected a bug when using with Zap extensions.

 -- Arnau Sanchez <arnau@ehas.org>  Fri,  4 Aug 2006 13:51:26 +0200

## asterisk-phonepatch 0.5

=== debian/changelog ===
asterisk-phonepatch (0.5) unstable; urgency=low

  * Limit radio output power
  * Change in outcall_extension parameter (use %u)
  * Adjustements in DTMF decoding parameters

 -- Arnau Sanchez <arnau@ehas.org>  Mon, 30 Oct 2006 20:15:37 -0500

asterisk-phonepatch (0.42) unstable; urgency=low

  * CTCSS decoding unset before outcall loop
  * Fixed help line in parameter incall_answer_mode: %d -> %u 

 -- Arnau Sanchez <arnau@ehas.org>  Fri, 11 Aug 2006 20:26:33 +0200

asterisk-phonepatch (0.41) unstable; urgency=low

  * CTCSS decoder can be disabled: ctcss_decode_mintime=0
  * Fixed: phonepatch.conf.example

 -- Arnau Sanchez <arnau@ehas.org>  Thu, 10 Aug 2006 16:12:04 +0200

## asterisk-phonepatch 0.6

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,8 @@
 	# Main executable
 	install -m 755 src/phonepatch.py $(SBINDIR)/asterisk-phonepatch
 
-	# AGI script: link to $(SBINDIR)/phonepatch
-	ln -sf ../../../../usr/sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi
+	# AGI script
+	install -m 755 src/agi.py $(AGIASTERISKDIR)/phonepatch.agi
 
 	# Manpage
 	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
@@ -69,6 +69,7 @@
 	install -m 755 src/daemonize.py $(LIBDIR)
 	install -m 755 src/templateparser.py $(LIBDIR)
 	install -m 755 src/processcomm.py $(LIBDIR)
+	install -m 755 src/unixsocket.py $(LIBDIR)
 
 	# Radio control utility
 	ln -sf ../lib/asterisk-phonepatch/radiocontrol.py $(BINDIR)/radiocontrol
@@ -95,7 +96,6 @@
 dist: ../$(TARBALL)
 
 dist-deb:  ../$(DEBPACKAGE)
-
 ChangeLog: debian/changelog
 	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" | sed "s/[[:space:]]*//" > ChangeLog
 
@@ -107,11 +107,11 @@
 	TEMP=`mktemp -d` && \
 	cp ../$(TARBALL) $$TEMP && \
 	tar -C $$TEMP -xvzf ../$(TARBALL) && \
-	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage) && \
+	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage || true) && \
 	cp $$TEMP/$(DEBHEADER)* $$CURRENT/.. && \
 	rm -rf $$TEMP
 
-upload: dist-upload web-upload
+upload: dist-upload
 
 dist-upload: dist dist-deb
 	rm -f ../$(DEBHEADER)*.sig
@@ -120,9 +120,6 @@
 	done
 	(cd ..; wput $(DEBHEADER)* $(FTPSERVER))
 	
-web-upload:
-	make -C ../$(PACKAGE)-web upload
-
 distclean: clean
 	fakeroot $(DEBIANDIR)/rules clean
 	rm -f ChangeLog

=== debian/changelog ===
asterisk-phonepatch (0.6) unstable; urgency=low

  * New architecture: phonepatch daemon always active, AGI separated
  * Uses OSS getobuffer() to sync sound card output

 -- root <arnau@ehas.org>  Tue, 14 Nov 2006 15:19:48 -0500

## asterisk-phonepatch 0.41

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,8 @@
 	# Main executable
 	install -m 755 src/phonepatch.py $(SBINDIR)/asterisk-phonepatch
 
-	# AGI script
-	install -m 755 src/agi.py $(AGIASTERISKDIR)/phonepatch.agi
+	# AGI script: link to $(SBINDIR)/phonepatch
+	ln -sf ../../../../usr/sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi
 
 	# Manpage
 	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
@@ -69,7 +69,6 @@
 	install -m 755 src/daemonize.py $(LIBDIR)
 	install -m 755 src/templateparser.py $(LIBDIR)
 	install -m 755 src/processcomm.py $(LIBDIR)
-	install -m 755 src/unixsocket.py $(LIBDIR)
 
 	# Radio control utility
 	ln -sf ../lib/asterisk-phonepatch/radiocontrol.py $(BINDIR)/radiocontrol
@@ -96,6 +95,7 @@
 dist: ../$(TARBALL)
 
 dist-deb:  ../$(DEBPACKAGE)
+
 ChangeLog: debian/changelog
 	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" | sed "s/[[:space:]]*//" > ChangeLog
 
@@ -107,7 +107,7 @@
 	TEMP=`mktemp -d` && \
 	cp ../$(TARBALL) $$TEMP && \
 	tar -C $$TEMP -xvzf ../$(TARBALL) && \
-	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage || true) && \
+	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage) && \
 	cp $$TEMP/$(DEBHEADER)* $$CURRENT/.. && \
 	rm -rf $$TEMP

## asterisk-phonepatch 0.61

=== doc/Makefile ===
#$Id: Makefile,v 1.5 2006/06/15 13:19:56 arnau Exp $

# Este Makefile es para uso con Jade y hojas de estilo dsssl
# Debe valer para varios documentos

# Aqu se pone la lista de documentos a generar (sin extensin)
NAME=asterisk-phonepatch

DOCUMENTOS=$(NAME)

IMG= img/hardware-phonepatch.png \
img/ptt_par.png \
img/ptt_ser.png \
img/sc-radio.png \
img/software-phonepatch.png \
img/network.png \
img/carrier_ser.png \
img/carrier_par.png

# Hojas de estilo DSSSL
PRINTDSL=print.dsl
HTMLDSL=html.dsl
# Hoja de estilo css para el HTML
CSS=ehas.css
#CSS=docbook-css-0.4/driver.css
JADE=jade # Puede ser openjade

# Se necesita para que las herramientas sgml acepten xml
# No s la forma de no dar una ruta absoluta a xml.dcl
SGMXML=/usr/share/sgml/declaration/xml.dcl 

# Transformaciones
JADETOTEX= $(JADE) -t tex -d $(PRINTDSL) $(SGMXML)
JADETORTF= $(JADE) -t rtf -d $(PRINTDSL) $(SGMXML)
JADETOHTML=$(JADE) -t xml -d $(HTMLDSL)  $(SGMXML)

# Algunas sustituciones para trabajar con comodidad
PS=$(patsubst %,%.ps,$(DOCUMENTOS))
TXT=$(patsubst %,%.txt,$(DOCUMENTOS))
PDF=$(patsubst %,%.pdf,$(DOCUMENTOS))
DVI=$(patsubst %,%.dvi,$(DOCUMENTOS))
RTF=$(patsubst %,%.rtf,$(DOCUMENTOS))
HTML=$(patsubst %,%.html,$(DOCUMENTOS))
TEX=$(patsubst %,%.tex,$(DOCUMENTOS))
AUX=$(patsubst %,%.aux,$(DOCUMENTOS))
LOG=$(patsubst %,%.log,$(DOCUMENTOS))
TOC=$(patsubst %,%.toc,$(DOCUMENTOS))
OUT=$(patsubst %,%.out,$(DOCUMENTOS))
IDX=$(patsubst %,%.idx,$(DOCUMENTOS))
GLO=$(patsubst %,%.glo,$(DOCUMENTOS))

TODO=$(PDF) $(HTML) $(RTF)

#------------------------------

todo:$(TODO)

# Dependencias de hojas de estilo
$(TEX): $(PRINTDSL)
$(HTML): $(HTMLDSL)
$(RTF): $(PRINTDSL)

# Dependencias de partes
$(NAME).pdf:    $(IMG)
$(NAME).rtf:    $(IMG)

# Reglas implcitas

%.tex: %.xml
	$(JADETOTEX) $<

%.rtf: %.xml
	$(JADETORTF) $<

%.pdf: %.tex
	-pdfjadetex $<
	-pdfjadetex $<
	-pdfjadetex $<

%.html:  %.xml
	rm -rf $@
	mkdir  $@
	if [ "$(IMG)" ]; then cp --parents -l $(IMG) $@ ; fi
	ln $(CSS) $@
	ln $(HTMLDSL) $@
	ln *.xml $@
	-(cd $@; $(JADETOHTML) $<; rm *.xml *.dsl)

%.dvi: %.tex
	-jadetex $<
	-jadetex $<
	-jadetex $<		

mostlyclean: 
	-rm -f $(TEX)\
               $(DVI)\
               $(AUX)\
               $(LOG)\
               $(TOC)\
               $(OUT)\
               $(IDX)\
               $(GLO)\
               *~\
               texput.log

clean: mostlyclean
	-rm -f $(PS) \
               $(TXT) \
               $(PDF) \
               $(RTF) 
	-rm -rf $(HTML)

=== debian/changelog ===
asterisk-phonepatch (0.61) unstable; urgency=low

  * Added daily_use.sh script 
  * Created spool directory (/var/spool/asterisk/phonepatch)

 -- Arnau Sanchez <arnau@ehas.org>  Wed, 22 Nov 2006 13:42:29 -0500

=== debian/control ===
Source: asterisk-phonepatch
Section: comm
Priority: optional
Maintainer: Arnau Sanchez <arnau@ehas.org>
Build-Depends: debhelper (>= 4.0.0), jade, jadetex
Standards-Version: 3.6.1

Package: asterisk-phonepatch
Architecture: all
Depends: python (>= 2.3), asterisk, sox, festival, python-serial, python-parallel, python-numarray, python-numeric-ext
Description: Software radio-phonepatch for the Asterisk PBX
 Although the term "phonepatch" usually refers to the hardware
 device used to connect a radio transceiver and a phoneline,
 asterisk-phonepatch is esentially software, as only needs a 
 simple hardware interface between radio and computer (to send/
 receive audio, control PTT and, optionally, get carrier status).
 .
 Audio interface is made using the soundcard as A/D, D/A converter, 
 while PTT (Push-to-talk) and carrier detection are operated
 though a serial/parallel port.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/asterisk-phonepatch.sgml > asterisk-phonepatch.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/asterisk-phonepatch.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/asterisk-phonepatch


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X/var/spool/asterisk/phonepatch
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## asterisk-phonepatch 0.62

=== debian/changelog ===
asterisk-phonepatch (0.62) unstable; urgency=low

  * New audios
  * daily_use script logs to syslog

 -- Arnau Sanchez <arnau@ehas.org>  Sat, 25 Nov 2006 18:01:56 -0500

## asterisk-phonepatch 0.63

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 ETCDIR=$(DESTDIR)/etc
 ETCPHPDIR=$(DESTDIR)/etc/asterisk
 AGIASTERISKDIR=$(DESTDIR)/var/lib/asterisk/agi-bin
+SPOOLDIR=$(DESTDIR)/var/spool/asterisk/phonepatch
 LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
 SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds
 
@@ -31,7 +32,7 @@
 FTPSERVER=ftp://savannah.gnu.org/incoming/savannah/$(SAVANNAH_PACKAGE)/
 
 # Some directories that will not exist on first installation
-CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR)
+CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR) $(SPOOLDIR)
 MANCONF=man/phonepatch.conf.8
 
 all: man/phonepatch.conf.8 
@@ -43,13 +44,13 @@
 	
 install: all
 	# Create dirs
-	mkdir -p $(CREATE_DIRS)
+	install -d -o asterisk -g asterisk $(CREATE_DIRS)
 
 	# Main executable
 	install -m 755 src/phonepatch.py $(SBINDIR)/asterisk-phonepatch
 
-	# AGI script: link to $(SBINDIR)/phonepatch
-	ln -sf ../../../../usr/sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi
+	# AGI script
+	install -m 755 src/agi.py $(AGIASTERISKDIR)/phonepatch.agi
 
 	# Manpage
 	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
@@ -60,6 +61,7 @@
 	install -m 644 conf/phonepatch.conf.template $(SHAREDIR)
 	install -m 644 conf/phonepatch.conf.example $(DOCDIR)
 	install -m 644 conf/phonepatch.conf.example $(ETCPHPDIR)/phonepatch.conf	
+	
 	# Python modules
 	install -m 755 src/radio.py $(LIBDIR)
 	install -m 755 src/radiocontrol.py $(LIBDIR)
@@ -69,6 +71,10 @@
 	install -m 755 src/daemonize.py $(LIBDIR)
 	install -m 755 src/templateparser.py $(LIBDIR)
 	install -m 755 src/processcomm.py $(LIBDIR)
+	install -m 755 src/unixsocket.py $(LIBDIR)
+	
+	# Misc scripts
+	install -m 755 misc/daily_use.sh $(LIBDIR)
 
 	# Radio control utility
 	ln -sf ../lib/asterisk-phonepatch/radiocontrol.py $(BINDIR)/radiocontrol
@@ -95,7 +101,6 @@
 dist: ../$(TARBALL)
 
 dist-deb:  ../$(DEBPACKAGE)
-
 ChangeLog: debian/changelog
 	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" | sed "s/[[:space:]]*//" > ChangeLog
 
@@ -107,7 +112,7 @@
 	TEMP=`mktemp -d` && \
 	cp ../$(TARBALL) $$TEMP && \
 	tar -C $$TEMP -xvzf ../$(TARBALL) && \
-	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage) && \
+	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage || true) && \
 	cp $$TEMP/$(DEBHEADER)* $$CURRENT/.. && \
 	rm -rf $$TEMP

=== debian/changelog ===
asterisk-phonepatch (0.63) unstable; urgency=low

  * Festival language disabled

 -- Arnau Sanchez <arnau@ehas.org>  Mon, 11 Dec 2006 16:03:29 -0500

## asterisk-phonepatch 0.65

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 ETCDIR=$(DESTDIR)/etc
 ETCPHPDIR=$(DESTDIR)/etc/asterisk
 AGIASTERISKDIR=$(DESTDIR)/var/lib/asterisk/agi-bin
+AGIASTERISKDIR2=$(DESTDIR)/usr/share/asterisk/agi-bin
 SPOOLDIR=$(DESTDIR)/var/spool/asterisk/phonepatch
 LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
 SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds
@@ -51,6 +52,7 @@
 
 	# AGI script
 	install -m 755 src/agi.py $(AGIASTERISKDIR)/phonepatch.agi
+	ln -s ../../../../var/lib/asterisk/agi-bin/phonepatch.agi $(AGIASTERISKDIR2)
 
 	# Manpage
 	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
@@ -96,16 +98,13 @@
 clean:
 	rm -f *.pyc man/phonepatch.conf.8
 
-dist: distclean dist dist-deb
+dist: distclean ../$(TARBALL)
 
-dist: ../$(TARBALL)
-
-dist-deb:  ../$(DEBPACKAGE)
 ChangeLog: debian/changelog
 	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" | sed "s/[[:space:]]*//" > ChangeLog
 
 ../$(TARBALL): clean $(FILES) ChangeLog
-	(cd ..; tar --exclude=CVS --exclude=misc --exclude=webpage -czf $(TARBALL) $(PACKAGE))
+	(cd ..; tar --exclude=CVS --exclude=webpage -czf $(TARBALL) $(PACKAGE))
 
 ../$(DEBPACKAGE): ../$(TARBALL)
 	CURRENT=$$PWD && \

=== dist-deb/asterisk-phonepatch/Makefile ===
# Makefile - makefile for asterisk-phonepatch
PACKAGE=asterisk-phonepatch
SAVANNAH_PACKAGE=asterisk-phpatch

# Destination directoy
DESTDIR= 

# Define destination directories

BINDIR=$(DESTDIR)/usr/bin
SBINDIR=$(DESTDIR)/usr/sbin
MAN8DIR=$(DESTDIR)/usr/share/man/man8
DOCDIR=$(DESTDIR)/usr/share/doc/$(PACKAGE)
SHAREDIR=$(DESTDIR)/usr/share/$(PACKAGE)
ETCDIR=$(DESTDIR)/etc
ETCPHPDIR=$(DESTDIR)/etc/asterisk
AGIASTERISKDIR=$(DESTDIR)/var/lib/asterisk/agi-bin
AGIASTERISKDIR2=$(DESTDIR)/usr/share/asterisk/agi-bin
SPOOLDIR=$(DESTDIR)/var/spool/asterisk/phonepatch
LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds

# ------------- don't edit anything below this line --------------

DEBIANDIR=debian
DEBIANVERSION=$(shell cat $(DEBIANDIR)/changelog | head -n1 | awk '{print $$2}' | tr -d '()')
VERSION=$(shell echo $(DEBIANVERSION) | sed "s/-//")
TARBALL=$(PACKAGE)-$(VERSION).tar.gz
ARCH=$(shell cat $(DEBIANDIR)/control | grep ^Architecture | head -n1 | awk '{print $$2}')
DEBHEADER=$(PACKAGE)_$(DEBIANVERSION)
DEBPACKAGE=$(DEBHEADER)_$(ARCH).deb
LANGS=es
FTPSERVER=ftp://savannah.gnu.org/incoming/savannah/$(SAVANNAH_PACKAGE)/

# Some directories that will not exist on first installation
CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR) $(SPOOLDIR)
MANCONF=man/phonepatch.conf.8

all: man/phonepatch.conf.8 

$(MANCONF): template2man.py $(MANCONF)-1 $(MANCONF)-2 conf/phonepatch.conf.template
	cat $(MANCONF)-1 > $(MANCONF)
	python src/templateparser.py conf/phonepatch.conf.template | ./template2man.py >> $(MANCONF)
	cat $(MANCONF)-2 >> $(MANCONF)
	
install: all
	# Create dirs
	install -d -o asterisk -g asterisk $(CREATE_DIRS)

	# Main executable
	install -m 755 src/phonepatch.py $(SBINDIR)/asterisk-phonepatch

	# AGI script
	install -m 755 src/agi.py $(AGIASTERISKDIR)/phonepatch.agi
	ln -s ../../../../var/lib/asterisk/agi-bin/phonepatch.agi $(AGIASTERISKDIR2)

	# Manpage
	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
	install -m 644 man/phonepatch.conf.8 $(MAN8DIR)
	install -m 644 man/radiocontrol.8 $(MAN8DIR)
	
	# Template and configuration
	install -m 644 conf/phonepatch.conf.template $(SHAREDIR)
	install -m 644 conf/phonepatch.conf.example $(DOCDIR)
	install -m 644 conf/phonepatch.conf.example $(ETCPHPDIR)/phonepatch.conf	
	
	# Python modules
	install -m 755 src/radio.py $(LIBDIR)
	install -m 755 src/radiocontrol.py $(LIBDIR)
	install -m 755 src/dtmf.py $(LIBDIR)
	install -m 755 src/ctcss.py $(LIBDIR)
	install -m 755 src/soundcard.py $(LIBDIR)
	install -m 755 src/daemonize.py $(LIBDIR)
	install -m 755 src/templateparser.py $(LIBDIR)
	install -m 755 src/processcomm.py $(LIBDIR)
	install -m 755 src/unixsocket.py $(LIBDIR)
	
	# Misc scripts
	install -m 755 misc/daily_use.sh $(LIBDIR)

	# Radio control utility
	ln -sf ../lib/asterisk-phonepatch/radiocontrol.py $(BINDIR)/radiocontrol

	# Phonepatch audio files
	
	# English audio to root audio directory
	cp sounds/en/* $(SOUNDSDIR) || true
	
	# Other languages installed on its own directory
	for DIR in $(LANGS); do \
		mkdir -p $(SOUNDSDIR)/$$DIR ;\
		cp sounds/$$DIR/* $(SOUNDSDIR)/$$DIR || true;\
	done
	
conf/phonepatch.conf.example: conf/phonepatch.conf.template
	src/templateparser.py -g conf/phonepatch.conf.template > conf/phonepatch.conf.example	

clean:
	rm -f *.pyc man/phonepatch.conf.8

dist: distclean ../$(TARBALL)

ChangeLog: debian/changelog
	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" | sed "s/[[:space:]]*//" > ChangeLog

../$(TARBALL): clean $(FILES) ChangeLog
	(cd ..; tar --exclude=CVS --exclude=misc --exclude=webpage -czf $(TARBALL) $(PACKAGE))

../$(DEBPACKAGE): ../$(TARBALL)
	CURRENT=$$PWD && \
	TEMP=`mktemp -d` && \
	cp ../$(TARBALL) $$TEMP && \
	tar -C $$TEMP -xvzf ../$(TARBALL) && \
	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage || true) && \
	cp $$TEMP/$(DEBHEADER)* $$CURRENT/.. && \
	rm -rf $$TEMP

upload: dist-upload

dist-upload: dist dist-deb
	rm -f ../$(DEBHEADER)*.sig
	for FILE in `ls ../$(DEBHEADER)*`; do \
		gpg -b --use-agent $$FILE || true; \
	done
	(cd ..; wput $(DEBHEADER)* $(FTPSERVER))
	
distclean: clean
	fakeroot $(DEBIANDIR)/rules clean
	rm -f ChangeLog

=== debian/changelog ===
asterisk-phonepatch (0.65) unstable; urgency=low

  * Correction in extension id for incalls

 -- Arnau Sanchez <arnau@ehas.org>  Wed,  4 Apr 2007 12:26:57 -0500

asterisk-phonepatch (0.64) unstable; urgency=low

  * Festival language re-enabled
  * Correction in audio cache

 -- Arnau Sanchez <arnau@ehas.org>  Tue,  3 Apr 2007 19:16:17 -0500
